$(function(){
		   var basePath = $($("body")[0]).attr("base");
	var O_CancelBook = $(".cancelBook");
	O_CancelBook.click(function(){
		var idStr = this.id;
		var id = idStr.replace(/cancel-/g, '');
		if(!confirm("您确定要取消预订吗?")) { return false; }
		$.post(basePath + "?m=member.cancelVisaOrderHandle", { id:id }, function(data) {
			alert(data[1]);
			if(data[0] == "success") {
				window.location.reload();
			}
		}, "json");
	});
		   
	$('.edit').each(function(){
		$(this).click(function(){
							   
			var id = $(this).attr('value');		
			
			if($(this).html().indexOf('保存') >= 0 )
			{
				
				if($('#content_' + id).attr('value') == '')
				{
					alert('请填写问题再保存');	
					$('#content_' + id).select();
					return;
				}
				
				var content = $('#content_' + id).attr('value');
				
				$.post("editVisaQuestion.html", {id:id , content:content}, function(data) { alert('保存成功'); });		
				
				$(this).html('修改');
				$('#content_' + id).css('background' , '#E5F2FF');
				$('#content_' + id).css('border' , '0px');
				$('#content_' + id).css('height' , '25px');
				$('#content_' + id).attr('readonly' , true);
				return;
			}
			var font = '<font color="red"  style="font-weight:bold">保存</font>';
		
			$(this).html(font);
			
			$('#content_' + id).attr('readonly' , false);
			$('#content_' + id).css('background' , '#fff');
			$('#content_' + id).css('border' , '1px solid #CCCCCC');
			$('#content_' + id).css('height' , '25px');
			$('#content_' + id).select();
	    });
	});
});